<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Menu Bar</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.2.2</span>&#x00A0;&#x00A0;<a 
 id="x79-9100012.2.2"></a>Menu Bar</h4>
<!--l. 1060--><p class="noindent" >When you open the XML Editor some items in the menu bar are activated. Some you can find
in &#8220;Edit&#8221;, some in &#8220;XML&#8221;.
</p><!--l. 1062--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x79-9200012.2.2"></a>Edit</h5>
<!--l. 1064--><p class="noindent" >If the XML Editor is opened, options from &#8220;Edit&#8221; in the menu bar can be used, depending on
the view opened in the <a 
href="textgrid-manualse43.html#x83-11200012.3">Editor Field<!--tex4ht:ref: xml-editor:editor-field --></a>.
</p>
<!--l. 1066--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9300012.2.2"></a><span 
class="cmbx-10x-x-109">Undo and Redo:</span></span> To undo or redo a change made to a document click &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Undo&#8221; or
&#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Redo&#8221; in the menu bar above.
</p>
<!--l. 1068--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9400012.2.2"></a><span 
class="cmbx-10x-x-109">Cut, Copy and Paste:</span></span> Use &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Cut&#8221;, &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Copy&#8221; and &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Paste&#8221; in the menu
bar to arrange parts of the source code.
                                                                                

                                                                                
</p>
<!--l. 1070--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9500012.2.2"></a><span 
class="cmbx-10x-x-109">Delete and Select All:</span></span> For removing code parts use &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Delete&#8221;. Use &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Select
All&#8221; to mark all souce code of a file.
</p>
<!--l. 1072--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9600012.2.2"></a><span 
class="cmbx-10x-x-109">Find and Replace:</span></span> To open the Find and Replace Dialog box, click &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Find and
Replace&#8221; in the menu bar on top. You can specify text to search for and optionally
replacement text in this Dialog box. You can set:
</p>
     <ul class="itemize1">
     <li class="itemize">The search direction (&#8220;Forward&#8221; or &#8220;Backward&#8221; from the current caret position)
     </li>
     <li class="itemize">The scope (&#8220;All&#8221; or &#8220;Selected lines&#8221; to search within a selected area)
     </li>
     <li class="itemize">Whether your search should be &#8220;Case sensitive&#8221; or not
     </li>
     <li class="itemize">&#8220;Whole word&#8221; to match the entire search string
     </li>
     <li class="itemize">&#8220;Wrap search&#8221; at the end of the file
     </li>
     <li class="itemize">&#8220;Incremental&#8221;  which  causes  the  editor  focus  to  move  to  the  first  complete
     occurrence of the text you are typing
     </li>
     <li class="itemize">Finally you can select the &#8220;Regular expressions&#8221; checkbox to activate the Regular
     Expressions mode. Type [Ctrl+Space]  over the text field to get content assistance
     that lists all possible expressions</li></ul>
<!--l. 1084--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9700012.2.2"></a><span 
class="cmbx-10x-x-109">Expand selection to:</span></span> For marking up passages in the Source View &#8221;Expand selection to&#8221;
offers you the option to select the enclosing, the next or the previous element. In addition you
                                                                                

                                                                                
can restore the last selection.
</p>
<!--l. 1086--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9800012.2.2"></a><span 
class="cmbx-10x-x-109">Content Assist:</span></span> For more information see <a 
href="textgrid-manualsu27.html#x85-12200012.3.2">Features of the Source View<!--tex4ht:ref: xml-editor:editor-field:source-view:features --></a>
</p>
<!--l. 1088--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-9900012.2.2"></a><span 
class="cmbx-10x-x-109">Show Tooltip Description:</span></span> Displays tooltip description, where applicable. It shows the
value of a hover that would appear at the current cursor location.
</p>
<!--l. 1090--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-10000012.2.2"></a><span 
class="cmbx-10x-x-109">Word Completion:</span></span> Use this to get suggestions from the program for completing a
word.
</p>
<!--l. 1092--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-10100012.2.2"></a><span 
class="cmbx-10x-x-109">Quick fix:</span></span> For more information see <a 
href="textgrid-manualsu27.html#x85-12200012.3.2">Features of the Source View<!--tex4ht:ref: xml-editor:editor-field:source-view:features --></a>
</p>
<!--l. 1094--><p class="noindent" ><span class="paragraphHead"><a 
 id="x79-10200012.2.2"></a><span 
class="cmbx-10x-x-109">Smart Insert Mode:</span></span> For more information see <a 
href="textgrid-manualsu27.html#x85-12200012.3.2">Features of the Source View<!--tex4ht:ref: xml-editor:editor-field:source-view:features --></a>
</p><!--l. 1096--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x79-10300012.2.2"></a>XML</h5>
<!--l. 1098--><p class="noindent" >Some operations can be started from the menu bar item &#8220;XML&#8221;:
</p>
                                                                                

                                                                                
     <ul class="itemize1">
     <li class="itemize">Insert Elements
     </li>
     <li class="itemize">Rename Current Element to
     </li>
     <li class="itemize">Source: Used for comment handling and code-formatting
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-8600012.2.1">Show Validation Errors<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:show-validation-errors --></a>
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-8700012.2.1">Associate a Schema<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-schema --></a>
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-8800012.2.1">Associate a CSS Stylesheet<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-css-stylesheet --></a>
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-8900012.2.1">Associate an Adaptor<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-adaptor --></a>
     </li>
     <li class="itemize">Copy URI-Fragment: Clones an URI-Fragment for local addressing.
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-9000012.2.1">XML Editor Debugging<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:xml-editor-debugging --></a></li></ul>
                                                                                

                                                                                
<!--l. 1112--><p class="noindent" ><a 
 id="tailtextgrid-manualsu22.html"></a> </p> 
</body></html> 
